/**
 * Copyright (c) 2010-2012 EBMWebsourcing, 2012-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.commons.log;

import java.util.Collection;
import java.util.Collections;
import java.util.LinkedHashMap;
import java.util.Set;

public abstract class LogData extends LinkedHashMap<String, Object> {

    private static final long serialVersionUID = -2885471570841736523L;

    public void putData(String dataKey, Object dataValue) {
        super.put(dataKey, dataValue);
    }
   
    @Override
    public Set<String> keySet() {
        return Collections.unmodifiableSet(super.keySet());
    }
    
    @Override
    public Set<java.util.Map.Entry<String, Object>> entrySet() {
        return Collections.unmodifiableSet(super.entrySet());
    }
    
    @Override
    public Collection<Object> values() {
        return Collections.unmodifiableCollection(super.values());
    }
    
    @Override
    public Object put(String dataKey, Object dataValue) {
        throw new UnsupportedOperationException();
    }
    
   @Override
    public Object clone() {
        throw new UnsupportedOperationException();
    }
    
    @Override
    public void clear() {
        throw new UnsupportedOperationException();
    }
    
    @Override
    public Object remove(Object key) {
        throw new UnsupportedOperationException();
    }
}
